/*******************************************************************
 *
 *    DESCRIPTION:	ata_ide.h
 *
 *    AUTHOR:		Mark de Jong
 *
 *    HISTORY:    
 *
 *******************************************************************/

#ifndef ATA_IDE_H
#define ATA_IDE_H

unsigned int ata_ide_init( ata_ide_info_type *ata_ide_info_trans );
unsigned int ata_ide_execute_drive_diagnose( unsigned int drive );
unsigned int ata_ide_identify_device( unsigned int drive, unsigned int *ata_data );
unsigned int ata_ide_read_sector( unsigned int drive, unsigned int sector, unsigned int cylinder, unsigned int head, unsigned int sector_count, unsigned int *ata_data );
unsigned int ata_ide_read_sector_without_retries( unsigned int drive, unsigned int sector, unsigned int cylinder, unsigned int head, unsigned int sector_count, unsigned int *ata_data );

unsigned int ata_ide_read_sector_lba( unsigned int drive, unsigned long lba, unsigned int sector_count, unsigned int *ata_data );

#endif // ATA_IDE_H