/*******************************************************************
 *
 *    DESCRIPTION:	ata_mbr.h
 *
 *    AUTHOR:		Mark de Jong
 *
 *    HISTORY:    
 *
 *******************************************************************/

#ifndef ATA_MBR_H
#define ATA_MBR_H

// PART_ENTRY.Boot_Flag
#define PARTITION_NOT_ACTIVE		0x00
#define PARTITION_ACTIVE			0x80

// PART_ENTRY.Type_code
#define PARTITION_TYPE_EMPTY		0x00
#define PARTITION_TYPE_FAT12		0x01
#define PARTITION_TYPE_FAT16		0x04
#define PARTITION_TYPE_FAT16_32M	0x06
#define PARTITION_TYPE_FAT32		0x0B
#define PARTITION_TYPE_FAT32_LBA	0x0C
#define PARTITION_TYPE_FAT12_EXT	0x11

unsigned int ata_mbr_init( ata_ide_info_type *ata_ide_info_trans );

#endif // ATA_MBR_H
