typedef _packed struct
{
	unsigned char BS_DrvNum;
	unsigned char BS_Reserved1;
	unsigned char BS_BootSig;
	unsigned long BS_VolID;
	unsigned char BS_VolLabel[11];
	unsigned char BS_FilSysType[8];
}FAT16;

typedef _packed struct
{
	unsigned long BPB_FATSz32;
	unsigned int  BPB_ExtFlags;
	unsigned int  BPB_FSVer;
	unsigned long BPB_RootClus;
	unsigned int  BPB_FS_Info;
	unsigned int  BPB_BkBootSec;
	unsigned char BPB_Reserved[12];
	unsigned char BS_DrvNum;
	unsigned char BS_Reserved1;
	unsigned char BS_BootSig;
	unsigned long BS_VolID;
	unsigned char BS_VolLabel[11];
	unsigned char BS_FilSysType[8];
}FAT32;

typedef _packed struct
{
	unsigned char BS_jmpBoot[3];
	unsigned char BS_OEMName[8];
	unsigned int  BPB_BytesPerSec;
	unsigned char BPB_Sec_Per_clus;
	unsigned int  BPB_RsvdSecCnt;
	unsigned char BPB_NumFATs;
	unsigned int  BPB_RootEntCnt;
	unsigned int  BPB_TotSec16;
	unsigned char BPB_Media;
	unsigned int  BPB_FATSz16;
	unsigned int  BPB_SecPerTrk;
	unsigned int  BPB_NumHeads;
	unsigned long BPB_HiddSec;
	unsigned long BPB_TotSec32;
	union
	{
		FAT16	  fat16;
		FAT32	  fat32;
	}fat;
}BS_AND_BPB;

typedef _packed struct
{
	unsigned char Boot_Flag;
	unsigned char CHS[3];
	unsigned char Type_Code;
	unsigned char CHS_End[3];
	unsigned long LBA;
	unsigned long Sectors;
}PART_ENTRY;

typedef _packed struct
{
	unsigned char boot_code[446];
	PART_ENTRY	  entry[4];	
	unsigned int  check;
}MBR;
